debdelta (0.67) unstable; urgency=medium

  * Bug fix: "Ensure correct mode of html documentation and shipped
    patches.", thanks to Vagrant Cascadian (Closes: #970893).

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 23 Jan 2021 21:15:27 +0100

debdelta (0.66) unstable; urgency=medium

  * thanks Calum for NMU  (Closes: #962203, #954420)
  * many fixes for Python3 compatibility
  * add 2023 signing key
  * server code autoselects oldest non-expired gpg key

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 20 Jan 2021 08:31:11 +0100

debdelta (0.65+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix "DeprecationWarning: isAlive() is deprecated, use is_alive()
    instead" (Closes: #962203, #954420)

 -- Calum McConnell <calumlikesapplepie@gmail.com>  Fri, 01 Jan 2021 17:15:42 -0500

debdelta (0.65) unstable; urgency=medium

  * Switch to dpkg-source 3.0 (native) format
  * debian/rules : use `cp -p` and `chmod`
  * bump standards version to 4.4.1

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 23 Dec 2019 17:56:32 +0100

debdelta (0.64) unstable; urgency=medium

  * add new gnupg key
  * some patches debdeltas_server
  * uses Python3, this fixes "Python2 removal in sid/bullseye", thanks to Sandro Tosi
    (Closes: #945657)
  * python-poster is not used anymore (Closes: 700969)
  * error logs are not sent (Closes: 737810)
  * Fix FTCBFS: Use host tools. (Closes: 905754) Thanks Helmut Grohne <helmut@subdivi.de>

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 13 Dec 2019 22:20:11 +0100

debdelta (0.62) unstable; urgency=medium

  * update Vcs-git to point to salsa

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 06 Jun 2018 09:22:34 +0200

debdelta (0.61) unstable; urgency=medium

  * support for control.tar.xz
  * debdelta-upgrade: report if delta is queued in the server but not yet ready

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 11 Apr 2018 10:56:36 +0200

debdelta (0.60) unstable; urgency=medium

  * better support for  httpredir.debian.org

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 12 Oct 2017 12:41:46 +0200

debdelta (0.59) unstable; urgency=medium

  * really bump standards version to 3.9.8
  * correct typo in copyright
  * fix code for small debs, do not check for stamps
  * Bug fix: "local variable 'url' referenced before assignment",
    thanks to Steffen Weinhart, (Closes: #708022).
  * Add 'set -e' in debian/rules. Thanks Niels Thykier
  * correct wrong message 'No deb-policy "u" ....' Thanks Niels Thykier

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 08 Feb 2017 11:28:50 +0100

debdelta (0.58exp) experimental; urgency=medium

  * Bug fix: "cannot handle redirects",
    thanks to Paul Wise (Closes: #835655).
  * Bug fix: "Portuguese translation not packaged",
    thanks to Carlos Maddela (Closes: #849908).
  * Bug fix: "[INTL:pt] Updated Portuguese translation for program",
    thanks to Miguel Figueiredo (Closes: #852087).
  * Installation leaves gpg-agent process running
    Thanks Andreas Beckmann (Closes: #852135).
  * Various code fixes.
  * Lintian fixes:
    - rewrite copyright using  copyright-format/1.0/
    - bump standards version to 3.9.8

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 06 Feb 2017 12:49:20 +0100

debdelta (0.57) unreleased; urgency=medium

  * Autodetect and install all available translations.
    Thanks Carlos Maddela. Closes: #849908
  * Update Italian translation.
  * Fix guessing of xz parameters for dbgsym files.
  * debdelta-upgrade: explain why the delta is not available; and also add
    corresponding --deb-policies.
    Thanks  shirish शिरीष . Closes: #779897
  * debdelta-upgrade handles redirects. Thanks Paul Wise. Closes: #835655

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 07 Jan 2017 18:16:32 +0100

debdelta (0.56) unstable; urgency=medium

  * sets the mtimes of built files, for reproducible metadata,
    thanks Maria Valentina Marin (Closes: 793004)
  * use  gzip -n  for reproducible builds,
    thanks Chris Lamb (Closes: #777730)
  * Add timeout option to debdelta-upgrade,
    thanks Mert Dirik (Closes: 735142)
  * Allow applying patches to unpacked .debs in locations other than /.
    thanks Colin Watson (Closes: 710398)
  * support i386 packages in amd64 hosts,
    Thanks Carlos Maddela (Closes: #740552)
  * Fix guessing of xz parameters for files compressed in parallel,
    Thanks Carlos Maddela (Closes: #845173)
  * merge server git branch and client git branch
  * new 2017 signing gpg key

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 01 Jan 2017 23:58:49 +0100

debdelta (0.55) unstable; urgency=medium

  * update git location
  * add debian backports to sources.conf

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 30 Nov 2014 18:30:51 +0100

debdelta (0.54) unstable; urgency=medium

  * [INTL:pt] Portuguese translation, thanks to Américo Monteiro
  (Closes: #760731).
  * bump standards version to 3.9.6.0
  * debian/rules : add build-arch, build-indep
  * add new keys into keyring
  * import some code from GIT server branch

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 30 Nov 2014 17:00:39 +0100

debdelta (0.53) experimental; urgency=low

  * merge changes uploaded in wheezy, and changelogs as well
  * Bug fix: "owned and unowned files after purge (policy 6.8 + 10.7.3)",
    thanks to Holger Levsen (Closes: #617481).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 02 Dec 2012 18:52:15 +0100

debdelta (0.50+2) unstable; urgency=high

  * debdelta-upgrade: uses incorrect URL when requesting
     i386 debdeltas to upgrade amd64 (multiarch) host,
    thanks to Carlos Maddela (Closes: #692194).
  * debdelta-upgrade: packages whose version number contains a colon not
    upgraded when using a proxy, thanks to Carlos Maddela (Closes: #691641).

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 07 Nov 2012 13:31:31 +0100

debdelta (0.52) experimental; urgency=low

  * debpatch, debdelta-upgrade : do not get confused by broken symlinks
  * enable hardening flags

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 02 Nov 2012 10:08:46 +0100

debdelta (0.50+1) unstable; urgency=high

  * debpatch, debdelta-upgrade : do not get confused by broken symlinks
  * enable hardening flags

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 31 Oct 2012 10:40:46 +0100
  
debdelta (0.51) experimental; urgency=low

  * debdelta, debdeltas: XZ parameter autodetection, detect CRC choice
     and compression

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 12 Sep 2012 16:34:53 +0200

debdelta (0.50) unstable; urgency=medium

  * ship 2012 gpg public key (to verify deltas with debdelta-upgrade)
  * correct typo in program message
  * correct italian translation of program messages
    according to d-italian rules

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 26 Aug 2012 21:10:55 +0200

debdelta (0.49) unstable; urgency=low

  * update italian translation of program messages
  * update and really ship French translation of program messages,
    thanks to Thomas Blein  (Closes: #678329).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 02 Aug 2012 11:00:34 +0200

debdelta (0.48) unstable; urgency=low

  * French translation of program messages, thanks to Thomas
    Blein (Closes: #678329).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 02 Aug 2012 07:24:35 +0200

debdelta (0.47) unstable; urgency=low

  * debdelta , debdeltas : autodetect (some) xz parameters for data.tar.xz
  * debdelta-upgrade: --forensic=http is the default

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 28 May 2012 17:34:56 +0200

debdelta (0.46) unstable; urgency=low

  * debdelta-upgrade: support multiarch

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 23 Mar 2012 20:56:56 +0100

debdelta (0.45) unstable; urgency=low

  * debdelta-upgrade/debpatch : new option --forensic,
     to report a log when a delta fails
  * debdelta/debdeltas : new option --forensicdir,
     to store hashes to check above reports
  * do not use hardcoded errno values,
    thanks to Pino Toscano (Closes: #640627).
  * typo in Recommends: xz -> xz-utils,
    thanks to Eugene V. Lyubimkin (Closes: #641189).

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 06 Dec 2011 17:27:16 +0100

debdelta (0.44) unstable; urgency=low

  * support xz compression for data.tar part in .deb
    (only when defult compression is used)
  * Bug fix: "FTBFS with binutils-gold", thanks to Angel Abad (Closes:
    #633467).
  * Bug fix: "Do not wait forever the connection to server", thanks to
    Rodolphe Pelloux-Prayer (Closes: #636022).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 28 Aug 2011 10:17:40 +0200

debdelta (0.43) unstable; urgency=low

  * add code to support python-apt 0.8 API,
    thanks to Julian Andres Klode (Closes: #572059).
  * Add a fallback in case of upgrade errors,
    thanks to Nelson A. de Oliveira (Closes: #612423)
    and thanks to Ritesh Raj Sarraf    (Closes: #592053).
  * New package 'debdelta-doc' contains the documentation.

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 28 May 2011 18:58:05 +0200

debdelta (0.42exp) experimental; urgency=low

  * Implemented streaming capabilities in patches;
    implemented new --format option for 'debdelta-upgrade', so that
    '--format=unzipped' will create debs with data.tar uncompressed
  * debdelta-upgrade bails out on a delta if locale files are missing,
    even if 'localepurge' is not used (see bug 619086)

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 04 May 2011 11:04:55 +0200

debdelta (0.41) unstable; urgency=low

  * Bump Standards-Version .
  * Review --help messages .
  * Small corrections to it.po .
  * Remove obsolete stuff from contrib/ .
  * Updated version of 'debmirror-delta-security' (for stable=squeeze).
  * New 'debmirror-marshal-deltas' script, that uses the new 
     'debmirror --debmarshal' option to manage the debs mirror and
     generate the deltas used by 'debdelta-upgrade'.
  * Add contrib/debmarshal_list_useless_debs (used by above).
  * Reviewed the README files.
  
 -- A Mennucc1 <mennucc1@debian.org>  Mon, 07 Mar 2011 19:26:54 +0100

debdelta (0.40exp) experimental; urgency=low

  * Add l10n support, it_IT translation (viva DUCCIT!)
  * Type fix in man debdelta-upgrade, thanks to A. Costa (Closes: #593174).
  * Typo fix in error message: "...applying of delta
     for ... failed", thanks to A. Costa (Closes: #593187).
  * Use 'gpg2 --batch' internally for signing or verifying,
     (to avoid printing on the tty as much as possible)
  * Implement usage of gnupg-agent in the example scripts
  * Recommends gnupg2, gnupg-agent

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 25 Sep 2010 15:19:14 +0200

debdelta (0.39trl) unstable; urgency=high
  
  * The real thing release: upload the real 0.39, not a damaged version;
  * fixes: "debdelta _append_() wrong number of arguments", thanks to
    cybjit (Closes: #585079) for noting.

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 13 Jun 2010 16:58:15 +0200

debdelta (0.39) unstable; urgency=low

  * Reviewed messages printed (at different verbosity levels) .
  * Inside the delta, the internal script uses shell pipes,
     to reduce usage of temporary files .
  * Set Homepage: http://debdelta.debian.net
  * etc/sources.conf : use debdeltas.debian.net, thanks to Paul Wise
     for the suggestion, and thanks to the Bononia people (Closes: #517942).
  * xdelta3 (>= 0y) can use a FIFO for the input source (a.k.a
     the old version of the file). When using '--delta-algo xdelta3'
     the delta now, in its internal script, can process all old files 
     in one pipe, w/o using many chunks stored in temporary files. Such
     deltas are marked by a new internal feature 'needs-xdelta3-fifo'.
     This is disabled by '--disable-feature xdelta3-fifo'
  * debdelta/debdeltas : store incomplete delta files as delta_tmp_ , are
     renamed when they are completed (and tested, and signed, if required) 
  
 -- A Mennucc1 <mennucc1@debian.org>  Fri, 03 Apr 2010 13:40:59 +0200

debdelta (0.38) unstable; urgency=low

  * debdelta-upgrade : 
    - properly distinguish when prelink fails due to low disk space,
      or simply because the file did not need to be unprelinked, or else
    - small changes to progress reporting
    - -v -d , prints the URI of missing deltas
  * debdeltas : huge rewrite 
    - big speedup in scanning repositories, less disk access
    - remove option --clean-alt
    - add option --old   (note that, if no '--old' arg is  specified, 
       then no deltas will be generated; this is different from
       previous versions of debdeltas)
    - different meaning of --alt option
    - rewrote man page, with many examples
  * add new script /usr/share/debdelta/debmirror-deltas (a complex script
    that creates a repository of deltas, that can be used by
    debdelta-upgrade for upgrading packages in
    lenny,squeeze,sid,experimental )

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 04 Feb 2010 22:27:24 +0100

debdelta (0.37) unstable; urgency=low

  * debdelta-upgrade
    * when < 50MB disk space, 'prelink -u' fails  : report it

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 01 Jan 2010 21:15:08 +0100

debdelta (0.36) unstable; urgency=low

  * switch license of man pages to 
     GNU Library General Public License (version 2)
    (same as the code), with permission of the author
  * patching : fix forensic report
  * debdelta-upgrade 
    - better progress reporting
    - if '-v' , report info as apt-get does (Closes: #557780).

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 08 Dec 2009 10:17:11 +0100

debdelta (0.35) unstable; urgency=low

  * do not try to unprelink kernel modules
    (big speedup for kernel updates)
  * some adjustments to patching progress reports
  * Bug fix: HTTPResponse instance has no attribute 'message',
    thanks to Ritesh Raj Sarraf (Closes: #555038)
  * correct buglet when 'localepurge' is detected and a patch fails

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 08 Nov 2009 21:20:51 +0100

debdelta (0.34) unstable; urgency=low

  * FAQ, README , man pages , control :
    the file created by 'debdelta' is always called a 'delta'
    (before it was also called a 'debdelta' or a 'patch')
  * add references to CUPT in debian/control and man 
    page (Closes: #551009).
  * debpatch.sh needs bash (Closes: #547744).
  * debpatch , debdelta-upgrade : report patching progress
  * debdelta-upgrade :
    - provide proxy support (see  man page) (Closes: #551748).
    - download debs also from ftp debian archives (Closes: #472766)
    - better computation of download speeds (Closes: #463671).
    - properly print when a delta is too big
       and when it is not present, or other download error
       (but this does not work with http proxies)

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 25 Oct 2009 14:43:54 +0100

debdelta (0.33) unstable; urgency=low

  * debdelta-upgrade: add checks and bails out if  localepurge
     has deleted files from the package
  * correct bug in parsing of /etc/debdelta/debdelta.conf :
      now sections match to the package name, not filename
  * debdelta: simplify deltas a bit
  * review the output of '-v'

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 18 Sep 2009 15:43:16 +0200

debdelta (0.32) unstable; urgency=low

  * debdeltas: add support for Packages.gz and  Packages.bz2 .
  * debdeltas: add option --test  (that does what '-d' was doing before)
  * debdelta,debdeltas:
    - add option --disable-feature ,
    - and add document README.features explaining backward compatibility,
    - and correct some bugs in features handling.
  * Change Depends: lzma, xdelta, xdelta3, bsdiff to Recommends
     ('debpatch' and 'debdelta-upgrade' will ask if they are needed).
  * Fix exit status and document it in man page.
  * Fix -v and -d , and document '-d' better in man pages.
  * debpatch, debdelta-upgrade : if '-d' and a delta fails, 
    create some files that may be used to address the bug.
  * Bug fix: "redownload package already in the cache", thanks to Sandro
    Tosi (Closes: #544784).

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 04 Sep 2009 23:29:06 +0200

debdelta (0.31) unstable; urgency=low

  * Add GPG signatures (YAY!!)
  * Update man pages to explain how to use signatures.
  * Add a README.upgrade document in /usr/share/doc/debdelta
  * Copy some useful stuff from contrib/ in /usr/share/debdelta :
     dpkg-sig : a version of dpkg-sig, patched to support
                debdelta signatures
     debmirror-delta-security : an example script to create deltas
        to upgrade from stable to stable-security
     debpatch.sh : a simple script that explains how debpatch works
  * Rearrange debian/rules
  * Correct some bugs in lzma support, but more testing is needed
  * debdelta : correct bug when the old deb contains data.tar.XX
    the new one contains  data.tar.YY and XX != YY

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 21 Aug 2009 11:08:20 +0200

debdelta (0.30) unstable; urgency=low

  * Correct an indent in defining HOSTID
  * Bug fix: "[debdelta] debdelta-upgrade doesn't work with nobody
    user", thanks to Mert Dirik (Closes: #497967).
  * Bug fix: "os.popen2 deprecated in python2.6", thanks to
    Pär Andersson (Closes: #539911).

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 07 Aug 2009 10:10:04 +0200

debdelta (0.29) unstable; urgency=low

  * Really depend on 'binutils' (Closes: 511765)
  * Bug fix: "crash when /proc is not mounted",
    thanks to Paul Wise (Closes: #506383).
  * Use hashlib, not md5 module, in newer python,
    thanks to Lars Wirzenius (Closes: #537869).
  * Add support for lzma ,
    thanks to Pär Andersson (Closes: #540005),
    (but it was not tested).

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 05 Aug 2009 14:09:02 +0200

debdelta (0.28) unstable; urgency=low

  * Depend on 'binutils' , 'bzip2' (Closes: 511765, 521670)
  * Support python-apt 0.7.10. Thanks a lot to Julian Andres Klode
  * debdelta-upgrade: select packages to upgrade,
    thanks to Nelson A. de Oliveira (Closes: #504423).

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 08 Apr 2009 13:47:44 +0200

debdelta (0.27) unstable; urgency=low

  * debpatch now can apply patches using data from installed version of a
    package also in hosts where prelink is used; and consequently
    debdelta-upgrade can upgrade such hosts. Thanks roman@khimov.ru.

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 15 Sep 2008 12:40:18 +0200

debdelta (0.26) unstable; urgency=low

  * rewrite internal DebDeltaError class to avoid problems with
    python 2.5; correct typo.

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 03 May 2008 19:21:31 +0200

debdelta (0.25) unstable; urgency=low

  * debdelta-upgrage: add an option --deb-policy to fine-tune download of
    .debs, thanks to Paul Wise (Closes: #465550).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 16 Mar 2008 12:14:42 +0100

debdelta (0.24) unstable; urgency=low

  * some packages (notably, linux kernels) modify files that they install
    , and then patching from installed debs always fails; to avoid, I added
    /etc/debdelta/debdelta.conf , ~/.debdelta/debdelta.conf to configure
    which original files to skip/ship in debian packages
  * add support for bzip2 compression on data.tar

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 09 Mar 2008 14:10:53 +0100

debdelta (0.23) unstable; urgency=low

  * If "python-apt" is missing, print a error message and exit;
    "python-apt" is recommended; thanks to David (Closes: #448688).
  * debpatch understands the keywords 'needs-xdelta' and 'needs-bsdiff'
  * debdeltas: 'Package' files may be used as arguments
  * debdeltas : can have multiple --alt  options
  * option --delta-algo to try different binary encoders;
    thanks to "Jiří Paleček" (Closes: #435159).
  * There is now a repository of deltas for stable security
    (again hosted at bononia, thanks a lot zack).

 -- A Mennucc1 <debdev@tonelli.sns.it>  Mon, 17 Dec 2007 15:26:04 +0100

debdelta (0.22) unstable; urgency=medium

  * depends on xdelta3 , and correct path in python
  * document --delta-algo

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 26 Aug 2007 18:09:29 +0200

debdelta (0.21) unstable; urgency=medium

  * save header of minigzip output in patch script, since 
    it changes in newer versions of zlib

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 17 Jul 2007 10:09:29 +0200

debdelta (0.20) unstable; urgency=low

  * added man pages. thanks  Pierre-yves Jégou (Closes: 376598)
  * fix bug in name/len file matching when building
    debdeltas (debdelta would die of "division by zero" sometimes)

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 14 Apr 2007 09:26:07 +0200

debdelta (0.19) unstable; urgency=low

  * Bug fix: append_info(delta,info,T) is wrong
    thanks a lot to David (Closes: #386252).
  
 -- A Mennucc1 <mennucc1@debian.org>  Thu,  7 Sep 2006 20:49:22 +0200

debdelta (0.18) UNRELEASED; urgency=low

  * debdelta-upgrade : retries on httplib errors

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 29 Jul 2006 15:18:24 +0200

debdelta (0.17) unstable; urgency=medium

  * debpatch : since 'echo -n -e' doesnt works with all shells ,
    patch script will test for it
  * debdelta : use bash to run patch script (until #379227 is fixed )

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 22 Jul 2006 22:15:51 +0200

debdelta (0.16) unstable; urgency=low
  
  * debdelta_upgrade
    - is faster (particularly on small debs - by avoiding calls to dpkg)
    - avoids downloading deltas if not enough disk space for applying them
    - identifies itself as User-Agent =  'Debian debdelta-upgrade'
  * md5 generation and verification may be disabled by option  --no-md5
  * now temporary directories are of the form  ${TMPDIR}/debdeltaXXXXXX
  * better checking for exceptions

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 12 Jul 2006 22:15:51 +0200

debdelta (0.15) unstable; urgency=low

  * debdelta : 
     - faster on .debs with many many files ;
     - better behaviour when 'out of disk space'  errors occour 
  * debdeltas: 
     - added  '--alt DIR' option, to say where older versions of .debs are
     - added   --clean-alt and --clean-deltas options 
  * debdelta-upgrade: 
     - if a delta fails, download the .deb
     - sources are in /etc/debdelta/sources.conf or ~/.debdelta/sources.conf
  * corrected many bugs
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed, 28 Jun 2006 16:23:28 +0200

debdelta (0.14) unstable; urgency=low

  * debdeltas: can --clean unusable debdeltas
  * debdelta: corrected bug (cannot gunzip a symlink)

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 13 Jun 2006 12:17:31 +0200

debdelta (0.13) unstable; urgency=low

  * debdelta_upgrade: thanks to Michael Vogt, now uses APT caches at best
  * debdelta & debpatch: many improvements
      - divide data.tar in small chunks
      - always use bsdiff (xdelta is buggy)
      - gunzip .gz files in data.tar before delta, and gzip after
      (the delta of debhelper  5.0.35  -> 5.0.36 was 80% of original .deb
      before, now it is  to 10%)

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 12 Jun 2006 20:03:16 +0200

debdelta (0.12) unstable; urgency=low

  * debdeltas: deltas failed due to not enough disk space will be retried
  * debdelta: better use of MD5; and a filename similarity matcher,
      when in computing difference of data.tar.gz (unfortunately, slower)
      also, solves a bug
  + debdelta_upgrade: properly quote URLs (before, it seemed as if 
     a lot of deltas were not present in the archives!); 
     better HTTP handling

 -- A Mennucc1 <mennucc1@debian.org>  Fri,  9 Jun 2006 18:45:17 +0200

debdelta (0.11) unstable; urgency=low

  * debdelta: (by faking 2nd part of tar headers), some improvement for  .deb
     with many small files
  * debdelta-upgrade : while the thread is patching, also download some
     .debs for which deltas are not available.
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed,  7 Jun 2006 16:07:36 +0200

debdelta (0.10) unstable; urgency=low

  * safer code
  * debdelta: produce shorter patch.sh, and uses bzip2

 -- A Mennucc1 <mennucc1@debian.org>  Thu,  1 Jun 2006 23:10:44 +0200

debdelta (0.9) unstable; urgency=low

  * debdeltas: 
    '-n N' option, to decide how many deltas to compute for each package ;
    '--avoid file' option, to avoid packages from a dist
     ('file' is a Python database, that can be created with contrib/parse_dist )
  * debdelta : corrected bug, now really skip conf files !
  * debdeltas : corrected bug, was not exiting from forks !  
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed, 31 May 2006 14:13:39 +0200

debdelta (0.8) unstable; urgency=low

  * 'debdelta' can use MD5 to exploit identical files that were renamed.
   This can express the difference between tetex-doc 3.0-17 and 3.0-18
   into  260kB , even though all the directory tree was moved around !

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 30 May 2006 18:24:17 +0200

debdelta (0.7) unstable; urgency=low

  * 'debdelta-upgrade' uses a thread to patch and download at the same time

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 30 May 2006 12:16:44 +0200

debdelta (0.6) unstable; urgency=low

  * new program 'debdelta-upgrade' to download and apply deltas 
    (from my mirror)

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 29 May 2006 16:16:40 +0200

debdelta (0.5) unstable; urgency=low

  * new program 'debdeltas' to scan archive of debs
       and create an archive of deltas
  * 'debpatch' works on installed version of old deb,
      even in case of dpkg diversions

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 27 May 2006 12:00:13 +0200

debdelta (0.4) unstable; urgency=low

  * 'debpatch' can use a delta to create the new .deb, even if 
    the old debian package file is not available, provided that 
    it is installed in the host
  * code cleanup

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 23 May 2006 15:59:08 +0200

debdelta (0.3) experimental; urgency=low

  * use bsdiff when memory does not exceed 50Mb, and free disk space is enough
  * ' debpatch --info  patch' to just know info on a patch

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 22 May 2006 10:34:06 +0200

debdelta (0.2) experimental; urgency=low

  * Added getopt support.  Reorganized code.
  * Be careful of cwd when using os.path.abspath.
  * Add parameters to patch.sh , in particular, support for '#unpack-old' keyword
  * Graduated verbosity.

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 20 May 2006 14:06:23 +0200

debdelta (0.1) experimental; urgency=low

  * first alpha
  * it works on two debs with gzip compression

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 19 May 2006 19:19:54 +0200
